const app = angular.module('app', ['ngAnimate'])

app.config(['$locationProvider', ($locationProvider) => {
  $locationProvider.html5Mode({
    enabled: true,
    reloadOnChange: true,
    requireBase: false
  })
}])

app
  .directive('header', () => {
    return {
      restrict: 'E',
      templateUrl: '/src/components/Header.html'
    }
  })
  .directive('footer', () => {
    return {
      restrict: 'E',
      templateUrl: '/src/components/Footer.html'
    }
  })
  .directive('optionBox', () => {
    return {
      restrict: 'E',
      templateUrl: '/src/components/Option.html'
    }
  })
  .directive('popup', () => {
    return {
      restrict: 'E',
      templateUrl: '/src/components/Popup.html'
    }
  })
  .directive('productLogo', () => {
    return {
      restrict: 'E',
      scope: {
        text: '@'
      },
      templateUrl: '/src/components/ProductLogo.html'
    }
  })
  .directive('spinner', () => {
    return {
      restrict: 'E',
      templateUrl: '/src/components/Spinner.html'
    }
  })